<?php

if ( ! function_exists('calla_elated_contact_form_map') ) {
	/**
	 * Map Contact Form 7 shortcode
	 * Hooks on vc_after_init action
	 */
	function calla_elated_contact_form_map() {
		vc_add_param('contact-form-7', array(
			'type' => 'dropdown',
			'heading' => esc_html__('Style', 'calla'),
			'param_name' => 'html_class',
			'value' => array(
				esc_html__('Default', 'calla') => 'default',
				esc_html__('Custom Style 1', 'calla') => 'cf7_custom_style_1',
				esc_html__('Custom Style 2', 'calla') => 'cf7_custom_style_2',
				esc_html__('Custom Style 3', 'calla') => 'cf7_custom_style_3'
			),
			'description' => esc_html__('You can style each form element individually in Elated Options > Contact Form 7', 'calla')
		));
	}
	
	add_action('vc_after_init', 'calla_elated_contact_form_map');
}